Bug 132138 - Adding new LE requires service restart
Adding new LE requires service restart
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jens Petersen
: i18n
Depends On:
Blocks: IIIMF
  Show dependency treegraph
 
Reported: 2004-09-09 00:42 EDT by Lawrence Lim
Modified: 2014-03-25 20:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: im-sdk-12.0.1-12.svn1943
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-07 03:27:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
notice the GIMLET entry for SC does not have an arrow that points to the name of the LE (323.78 KB, image/png)
2004-09-30 00:43 EDT, Lawrence Lim
no flags Details

  None (edit)
Description Lawrence Lim 2004-09-09 00:42:34 EDT
Description of problem:
Adding a new LE requires user to restart. It will be ideal to be able
to load the LE after restart iiim rather than restart X.

Version-Release number of selected component (if applicable):
- im-sdk-12.0.1-5
- iiimf-le-xcin-0.1.7-4

How reproducible:
Always

Steps to Reproduce:
1. install im-sdk in zh_TW locale
2. install iiimf-le-xcin
3. service iiim restart
  
Actual results:
LE does not get loaded. Cant find in the GIMLET either.

Expected results:
LE should be loaded after restarting iiim server. GIMLET should be
updated without restart X.

Additional info:
Comment 1 Warren Togami 2004-09-09 00:59:07 EDT
If you add a new LE, restart the service, remove and add gimlet from
your panel, it should show the new LE.  It worked for me 2 weeks ago.
Comment 2 Akira TAGOH 2004-09-09 02:26:14 EDT
Or how about killall -HUP htt_server?
Comment 3 Warren Togami 2004-09-09 05:13:25 EDT
Confirmed.
1) I packaged iiimf-le-simplehangul and installed it.
2) service iiim restart
3) Remove gimlet from panel.
4) Add gimlet to panel.

And it works!

(Unfortunately it seems both hangul and simplehangul can't be
installed at the same time, or you are unable to choose one over the
other?  Is this a known bug filed elsewhere?)
Comment 4 Lawrence Lim 2004-09-09 05:28:27 EDT
From Comment #3
Warren,
Does bug 131065 resembles your description of GIMLET unable to handle
LE of the same name? 
Comment 5 Lawrence Lim 2004-09-09 05:40:06 EDT
Both ways are possible as an alternative to restart X:

1) killall -HUP htt_server
2) service iiim restart -> remove gimlet -> add gimlet


Will this be the permanent solution? Should I resolve the bug?

Comment 6 Warren Togami 2004-09-09 05:55:45 EDT
I would suggest keeping it open for now.  Improving this behavior the
"right way" could be safely done anytime up until the final RHEL4
development freeze, IMHO.
Comment 7 Jens Petersen 2004-09-09 05:57:45 EDT
Running "killall -HUP htt_server" from %post
for LE packages is probably a good idea.
Comment 8 Akira TAGOH 2004-09-09 07:44:54 EDT
Comment #7:
Well, we already did that.

Lawrence, have you tried to use the new LE to just input?
Comment 9 Lawrence Lim 2004-09-10 05:27:42 EDT
Comment #8

It is not possible to input as well. 

Do you think I should create two child bug against iiimf-le-xcin,
iiimf-le-chinput, iiimf-le-canna and iiimf-le-hangul to add SIGHUP in
the %post?
Comment 10 Warren Togami 2004-09-10 22:44:12 EDT
Perhaps %postun too?

Tagoh, what happens to existing clients that may be using LE's when it
receives SIGHUP?
Comment 11 Akira TAGOH 2004-09-12 23:26:23 EDT
Comment #10:
it should be called on %preun too.

Well, if the session isn't open, htt_server should returns proper LE's
instance after htt_server received SIGHUP.
Comment 12 Jens Petersen 2004-09-24 01:07:10 EDT
Surely postun: during preun the LE being removed is still present afaics.
Comment 13 Yu Shao 2004-09-27 21:21:56 EDT
other than SIGHUP, do we still have other issues here? otherwise we
should close this bug.
Comment 14 Jens Petersen 2004-09-29 10:27:34 EDT
im-sdk has been updated for this.

Waiting to close until the Chinese LEs have been updated.
Comment 16 Jens Petersen 2004-09-29 11:10:03 EDT
iiimf-le-chinput should now be fixed in iiimf-le-chinput-0.3-9.
Comment 17 Leon Ho 2004-09-29 14:25:17 EDT
Problem above is fixed and included a patch.

And it is built successfully - iiimf-le-xcin-0.1.7-6.

changing to MODIFIED. Please confirm, thanks.
Comment 18 Lawrence Lim 2004-09-30 00:43:24 EDT
Created attachment 104564 [details]
notice the GIMLET entry for SC does not have an arrow that points to the name of the LE
Comment 19 Lawrence Lim 2004-09-30 00:48:45 EDT
Tested chinput-10 with im-sdk-12.0.1-9

It seems that the problem still exist even after restarting htt server
and adding/removing GIMLET from thge panel.

Steps:
- upgrade im-sdk-7 to im-sdk-9
- install chinput -10 
- service iiim restart
- remove GIMLET (if available) from panel and add GIMLET to panel
- click GIMLET -> add locale
- select zh_CN locale -> OK
- click GIMLET -> select zh_CN

Actual Result:
- LE does not get loaded
- CPU reaches a high of around 70%

Expected Result:
- LE gets loaded
- CPU is kept to a minimal

Additional Info:
Please refer to screenshot.
Comment 20 Jens Petersen 2004-10-04 08:39:28 EDT
In response to comment 18: that is a new feature -
gimlet only creates a submenu if there are multiple LEs
available for the locale.

Comment 19 sounds quite unrelated - likely a chinput or htt_server bug...
please open a separate report for that.
Comment 21 Lawrence Lim 2004-10-07 03:27:51 EDT
Confirmed fixed. Tested with im-sdk-12.0.1-12.svn1943 with all four
supported CJK LE.


Thanks.

------
Steps: 
1) remove all LE - rpm -e `rpm -qa |grep iiimf-le`
2) install one LE - rpm -Uvh iiimf-le-chinput 
3) service iiim restart
4) toggle on -> input -> off
5) rpm -e `rpm -qa |grep iiimf-le`
6) service iiim restart
7) Repeart 2-6 with the rest of LEs

Note You need to log in before you can comment on or make changes to this bug.